window.addEventListener('load', function load() {
  // Listen for input change to set the button as disabled if the flip code has no length
  document.getElementById('flip-code-input').oninput = function (e) {
    var goButton = document.querySelector('#flip-code-submit-button');
    var inputWrapper = document.querySelector('.extension__flipCode');
    if (e.target.value.length) {
      goButton.removeAttribute('disabled');
      inputWrapper.classList.add('-active');
    } else {
      goButton.setAttribute('disabled', true);
      inputWrapper.classList.remove('-active');
    }
  };

  document.getElementById('flip-code-form').onsubmit = function (e) {
    e.preventDefault();
    let token = document.getElementById('flip-code-input').value;
    window.open('https://flipgrid.com/' + token);

    // Causing CORS issues.
    // We might be able to whitelist the Chrome extension ID in the URL to allow us to check the token beforehand.
    // var xhr = new XMLHttpRequest();
    // xhr.open('GET', `http://api.flipgrid.com/api/vanity_tokens/${token}`, true);
    // xhr.onreadystatechange = function() {
    //   console.log('state', xhr.readyState);
    //   if (xhr.readyState == 4) {
    //     console.log(xhr.status);
    //   }
    // };
    // xhr.send();
  };
});
